Bug 1327 - Can't get files with single quote ( ' ) in filename.
Can't get files with single quote ( ' ) in filename.
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: smbclient
3.0.4
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-07 14:39 UTC by Konstantin Starodubtsev
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Starodubtsev 2004-05-07 14:39:48 UTC
smbclient can't get files with single quote in the filename when using "get" 
command. There's no known method to escape such symbol(s). Seems that the same 
behaviour will be with double quotes. That file can be successfully open under 
windows, or can be downloaded with mget command using wildcards.

$ /usr/bin/smbclient //OLO/Pictures  -D ARTS/ART
Password:
Domain=[OLO] OS=[Windows 5.0] Server=[Windows 2000 LAN Manager]
smb: \ARTS\ART\> ls ?2.jpg
  '2.JPG                              A    29716  Tue Jun 11 15:56:10 2002
  12.JPG                              A    51251  Tue Jun 11 15:56:08 2002

                50696 blocks of size 2097152. 3767 blocks available
smb: \ARTS\ART\> get '2.jpg
NT_STATUS_OBJECT_NAME_NOT_FOUND opening remote file \ARTS\ART\2.jpg
smb: \ARTS\ART\> get \'2.jpg
NT_STATUS_OBJECT_NAME_NOT_FOUND opening remote file \ARTS\ART\\2.jpg
smb: \ARTS\ART\> get "2.jpg
NT_STATUS_OBJECT_NAME_NOT_FOUND opening remote file \ARTS\ART\2.jpg
smb: \ARTS\ART\> get "'"2.jpg
NT_STATUS_OBJECT_NAME_NOT_FOUND opening remote file \ARTS\ART\2.jpg
smb: \ARTS\ART\>
Comment 1 Gerald (Jerry) Carter 2004-08-09 11:07:43 UTC
should be fixed in 3.0.6rc2. 
Comment 2 Gerald (Jerry) Carter 2004-08-09 11:13:53 UTC
marking as fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:55 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.